Skip to main content
GET
Read variation batch

Authorizations

Authorization
string
header
required

A workspace API key.

Path Parameters

projectId
string
required

The project id.

Required string length: 1 - 200
batchId
string
required

id from GET /v1/projects/{projectId}/variations.

Required string length: 1 - 200

Query Parameters

limit
integer

Variants per page, in batch order (default 60).

Required range: 1 <= x <= 200
cursor
string

The previous page's nextCursor. Omit for the first page.

Maximum string length: 20
after
string
deprecated

Deprecated spelling of cursor; still accepted.

Maximum string length: 20

Response

Success.

success
boolean
required
batch
object
required
variants
object[]
required
nextAfter
string | null
required
deprecated

Deprecated copy of nextCursor.

nextCursor
string | null

Send as cursor for the next page; null on the last page.

{key}
any